Skip to main content
`Ctrl`+`K`

# pandas.api.types.is_timedelta64_ns_dtype

pandas.api.types.is_timedelta64_ns_dtype(arr_or_dtype)

  Check whether the provided array or dtype is of the timedelta64[ns] dtype.

  This is a very specific dtype, so generic ones like np.timedelta64 will return False if passed into this function.

  Parameters:
    arr_or_dtype array-like or dtype

      The array or dtype to check.

  Returns:
    boolean

      Whether or not the array or dtype is of the timedelta64[ns] dtype.

  Examples

      >>> from pandas.core.dtypes.common import is_timedelta64_ns_dtype
      >>> is_timedelta64_ns_dtype(np.dtype('m8[ns]'))
      True
      >>> is_timedelta64_ns_dtype(np.dtype('m8[ps]'))  # Wrong frequency
      False
      >>> is_timedelta64_ns_dtype(np.array([1, 2], dtype='m8[ns]'))
      True
      >>> is_timedelta64_ns_dtype(np.array([1, 2], dtype=np.timedelta64))
      False